Package net.md_5.bungee.api.event

# Class PreLoginEvent

java.lang.Object
net.md_5.bungee.api.plugin.Event
net.md_5.bungee.api.event.AsyncEvent<PreLoginEvent>
net.md_5.bungee.api.event.PreLoginEvent

All Implemented Interfaces:
  `Cancellable`

public class PreLoginEvent extends AsyncEvent<PreLoginEvent> implements Cancellable
Event called to represent a player first making their presence and username known. This will NOT contain many attributes relating to the player which are filled in after authentication with Mojang's servers. Examples of attributes which are not available include their UUID.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreLoginEvent(PendingConnection connection, Callback<PreLoginEvent> done)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getCancelReason()`
  Deprecated.
  use component methods instead
  `BaseComponent[]`
  `getCancelReasonComponents()`
  Deprecated.
  use single component methods instead
  `PendingConnection`
  `getConnection()`
  Connection attempting to login.
  `BaseComponent`
  `getReason()`
  Message to use when kicking if this event is canceled.
  `int`
  `hashCode()`
  `boolean`
  `isCancelled()`
  Cancelled state.
  `void`
  `setCancelled(boolean cancelled)`
  Cancelled state.
  `void`
  `setCancelReason(String cancelReason)`
  Deprecated.
  Use component methods instead
  `void`
  `setCancelReason(BaseComponent... cancelReason)`
  Deprecated.
  use single component methods instead
  `void`
  `setReason(BaseComponent reason)`
  Message to use when kicking if this event is canceled.
  `String`
  `toString()`

  ### Methods inherited from class net.md_5.bungee.api.event.AsyncEvent

  `completeIntent, postCall, registerIntent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PreLoginEvent

    public PreLoginEvent(PendingConnection connection, Callback<PreLoginEvent> done)

- ## Method Details

  - ### getCancelReason

    @Deprecated public String getCancelReason()
    Deprecated.
    use component methods instead
    Returns:
      reason to be displayed

  - ### setCancelReason

    @Deprecated public void setCancelReason(String cancelReason)
    Deprecated.
    Use component methods instead
    Parameters:
      `cancelReason` - reason to be displayed

  - ### getCancelReasonComponents

    @Deprecated public BaseComponent[] getCancelReasonComponents()
    Deprecated.
    use single component methods instead
    Returns:
      reason to be displayed

  - ### setCancelReason

    @Deprecated public void setCancelReason(BaseComponent... cancelReason)
    Deprecated.
    use single component methods instead
    Parameters:
      `cancelReason` - reason to be displayed

  - ### isCancelled

    public boolean isCancelled()
    Cancelled state.
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      the cancelled state of this event

  - ### getReason

    public BaseComponent getReason()
    Message to use when kicking if this event is canceled.

  - ### getConnection

    public PendingConnection getConnection()
    Connection attempting to login.

  - ### setCancelled

    public void setCancelled(boolean cancelled)
    Cancelled state.
    Specified by:
      `setCancelled` in interface `Cancellable`
    Parameters:
      `cancelled` - the state to set

  - ### setReason

    public void setReason(BaseComponent reason)
    Message to use when kicking if this event is canceled.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AsyncEvent<PreLoginEvent>`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `AsyncEvent<PreLoginEvent>`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `AsyncEvent<PreLoginEvent>`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `AsyncEvent<PreLoginEvent>`